Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590539 - Guest PXE menu doesn't respond to keyboard input
Summary: Guest PXE menu doesn't respond to keyboard input
Keywords:
Status: CLOSED DUPLICATE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-manager
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 06:40 UTC by Qian Cai
Modified: 2010-11-11 19:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-17 05:01:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
pxe screenshot (deleted)
2010-05-10 06:41 UTC, Qian Cai
no flags Details
virsh dumpxml pxe (deleted)
2010-05-10 06:42 UTC, Qian Cai
no flags Details
virt-manager --debug output (deleted)
2010-05-12 02:33 UTC, Qian Cai
no flags Details

Description Qian Cai 2010-05-10 06:40:27 UTC
Description of problem:
After created a guest to boot from PXE, the virt-manager did not accept any input from the keyboard.

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.42.el6.x86_64
libvirt-0.8.0-3.el6.x86_64
virt-manager-0.8.4-1.el6.noarch
RHEL6 Beta 1 snapshot 1

How reproducible:
always

Steps to Reproduce:
1. virt-manager to create a guest boot from PXE
2. start the guest
  
Actual results:
Unable to type anything inside virt-manager

Expected results:
Accept input.

Comment 1 Qian Cai 2010-05-10 06:41:05 UTC
Created attachment 412724 [details]
pxe screenshot

Comment 2 Qian Cai 2010-05-10 06:42:13 UTC
Created attachment 412725 [details]
virsh dumpxml pxe

Comment 3 Cole Robinson 2010-05-11 17:40:49 UTC
Can you reproduce using 'virt-manager --debug' and post the output? Does restarting the app help? Does 'virt-viewer $vmname' have the same issue?

Comment 4 Qian Cai 2010-05-11 18:04:10 UTC
(In reply to comment #3)
> Can you reproduce using 'virt-manager --debug' and post the output? Does
> restarting the app help?

Hmm, getting worse.

# virt-manager --debug
2010-05-12 14:59:22,593 (virt-manager:161): Application startup
2010-05-12 14:59:41,942 (engine:338): About to connect to uris ['qemu:///system']
2010-05-12 14:59:44,693 (engine:628): window counter incremented to 1
2010-05-12 14:59:47,386 (connection:836): Scheduling background open thread for qemu:///system
2010-05-12 14:59:47,387 (connection:981): Background thread is running
2010-05-12 14:59:47,398 (connection:1019): Background open thread complete, scheduling notify
2010-05-12 14:59:49,529 (connection:1211): Connection doesn't seem to support interface APIs. Skipping all interface polling.
2010-05-12 14:59:54,730 (connection:1024): Notifying open result
2010-05-12 14:59:54,751 (connection:1032): qemu:///system capabilities:
<capabilities>

  <host>
    <cpu>
      <arch>x86_64</arch>
      <model>core2duo</model>
      <topology sockets='1' cores='2' threads='1'/>
      <feature name='lahf_lm'/>
      <feature name='xtpr'/>
      <feature name='cx16'/>
      <feature name='tm2'/>
      <feature name='est'/>
      <feature name='vmx'/>
      <feature name='ds_cpl'/>
      <feature name='pbe'/>
      <feature name='tm'/>
      <feature name='ht'/>
      <feature name='ss'/>
      <feature name='acpi'/>
      <feature name='ds'/>
    </cpu>
    <migration_features>
      <live/>
      <uri_transports>
        <uri_transport>tcp</uri_transport>
      </uri_transports>
    </migration_features>
    <topology>
      <cells num='1'>
        <cell id='0'>
          <cpus num='2'>
            <cpu id='0'/>
            <cpu id='1'/>
          </cpus>
        </cell>
      </cells>
    </topology>
    <secmodel>
      <model>selinux</model>
      <doi>0</doi>
    </secmodel>
  </host>

  <guest>
    <os_type>hvm</os_type>
    <arch name='i686'>
      <wordsize>32</wordsize>
      <emulator>/usr/libexec/qemu-kvm</emulator>
      <machine>rhel6.0.0</machine>
      <machine>pc-0.12</machine>
      <machine>pc-0.11</machine>
      <machine>pc-0.10</machine>
      <machine>isapc</machine>
      <machine canonical='rhel6.0.0'>pc</machine>
      <machine>rhel5.5.0</machine>
      <machine>rhel5.4.4</machine>
      <machine>rhel5.4.0</machine>
      <domain type='qemu'>
      </domain>
      <domain type='kvm'>
        <emulator>/usr/libexec/qemu-kvm</emulator>
      </domain>
    </arch>
    <features>
      <cpuselection/>
      <pae/>
      <nonpae/>
      <acpi default='on' toggle='yes'/>
      <apic default='on' toggle='no'/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='x86_64'>
      <wordsize>64</wordsize>
      <emulator>/usr/libexec/qemu-kvm</emulator>
      <machine>rhel6.0.0</machine>
      <machine>pc-0.12</machine>
      <machine>pc-0.11</machine>
      <machine>pc-0.10</machine>
      <machine>isapc</machine>
      <machine canonical='rhel6.0.0'>pc</machine>
      <machine>rhel5.5.0</machine>
      <machine>rhel5.4.4</machine>
      <machine>rhel5.4.0</machine>
      <domain type='qemu'>
      </domain>
      <domain type='kvm'>
        <emulator>/usr/libexec/qemu-kvm</emulator>
      </domain>
    </arch>
    <features>
      <cpuselection/>
      <acpi default='on' toggle='yes'/>
      <apic default='on' toggle='no'/>
    </features>
  </guest>

</capabilities>

2010-05-12 14:59:54,779 (connection:214): Using HAL for netdev enumeration
2010-05-12 14:59:54,780 (connection:251): Using libvirt API for mediadev enumeration
2010-05-12 14:59:54,785 (manager:801): VM pxe started
2010-05-12 15:00:20,338 (engine:413): Tick is slow, not running at requested rate.
2010-05-12 15:01:14,130 (engine:760): Destroying vm 'pxe'.
2010-05-12 15:01:44,904 (engine:806): Starting vm 'pxe'.
2010-05-12 15:01:45,154 (manager:801): VM pxe started
2010-05-12 15:02:15,438 (engine:628): window counter incremented to 2
2010-05-12 15:02:15,440 (console:636): Starting connect process for vnc://localhost:5900: localhost 5900
2010-05-12 15:02:35,862 (console:474): VNC initialized
2010-05-12 15:02:40,507 (proxies:400): Introspect error on :1.3:/org/freedesktop/Notifications: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
2010-05-12 15:02:40,508 (proxies:403): Executing introspect queue due to error
process 19676: Array or variant type requires that type int32 be written, but end_dict_entry was written.
The overall signature expected here was 'sisssasa{si}' and we are on byte 10 of that signature.
  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted (core dumped)

Comment 5 Qian Cai 2010-05-11 18:12:15 UTC
I'll probably report a separate BZ for the above SIGSEGV. I'll give you the information needed when I am in the office to access the system tomorrow.

Comment 6 Qian Cai 2010-05-12 02:32:17 UTC
(In reply to comment #3)
> Can you reproduce using 'virt-manager --debug' and post the output? Does
> restarting the app help? Does 'virt-viewer $vmname' have the same issue?    

virt-viewer has the same problem,
# virt-viewer --debug pxe
** (virt-viewer:24959): DEBUG: Add handle 4 1 0x70f2f0

** (virt-viewer:24959): DEBUG: Add timeout 0x7127b0 -1 0x38f2882230 0x70f2f0 1

** (virt-viewer:24959): DEBUG: Skipping inactive resize
** (virt-viewer:24959): DEBUG: Remote host is localhost and transport  user 
** (virt-viewer:24959): DEBUG: VNC desktop resize 720x400
** (virt-viewer:24959): DEBUG: Preparing main window resize
** (virt-viewer:24959): DEBUG: Queue resize widget=0x780020 width=720 height=400
** (virt-viewer:24959): DEBUG: Set requisition on widget=0x780020 to 720x400
** (virt-viewer:24959): DEBUG: Unset requisition on widget=0x780020
** (virt-viewer:24959): DEBUG: Align widget=0x780020 is 400x375, desktop is 720x400, setting VNC to 400x222
** (virt-viewer:24959): DEBUG: Align widget=0x780020 is 720x400, desktop is 720x400, setting VNC to 720x400

Comment 7 Qian Cai 2010-05-12 02:33:35 UTC
Created attachment 413306 [details]
virt-manager --debug output

Comment 8 Cole Robinson 2010-05-13 15:18:43 UTC
Hmm, if it's also an issue with virt-viewer, then this is likely either gtk-vnc or kvm. Reassigning to KVM for future triage

Comment 9 Gleb Natapov 2010-05-16 09:27:37 UTC
Works for me with sdl/vncviewer/gvncviewer (but I obviously use other PXE server). Please try other vnc clients _before_ reassigning to qemu-kvm. Reassigning back to virt-manager as the only other option for me is to close the bug as WORKSFORME.

Comment 10 Qian Cai 2010-05-17 05:01:46 UTC
gpxe-roms-qemu-0.9.7-6.3.el6 works fine.

*** This bug has been marked as a duplicate of bug 579964 ***


Note You need to log in before you can comment on or make changes to this bug.